# $Revision: 1.13 $, $Date: 2007/10/21 12:10:50 $
%define	_lang	cs
%define	_reg	CZ
%define	_lare	%{_lang}-%{_reg}
Summary:	Czech resources for SeaMonkey
Summary(pl.UTF-8):	Czeskie pliki językowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.5
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	4258a237b2f1e5226f1ce5afeca123f5
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	c2ae13362d8cc4937c8cefbce6d46cca
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
BuildRequires:	util-linux
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Czech resources for SeaMonkey.

%description -l pl.UTF-8
Czeskie pliki językowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt
./gen-installed-chrome.sh locale chrome/enigmail-%{_lare}.jar \
	>> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install chrome/enigmail-%{_lare}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-cs.spec,v $
Revision 1.13  2007/10/21 12:10:50  hawk
- updated to 1.1.5

Revision 1.12  2007/06/01 16:59:00  qboosh
- fixed md5 update

Revision 1.11  2007/06/01 16:54:01  qboosh
- merged update to 1.1.2 (from AC-branch, by hawk)

Revision 1.10  2007/03/11 09:30:44  qboosh
- updated to 1.1.1

Revision 1.9  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 21:26:23  hawk
- updated to 1.1

Revision 1.6  2006/11/15 10:58:25  qboosh
- updated to 1.0.6

Revision 1.5  2006/07/31 15:01:28  sparky
- up to 1.0.2
- use macros

Revision 1.4  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.3  2006/04/17 17:37:42  sparky
- oops: >>

Revision 1.2  2006/04/17 17:34:26  sparky
- added enigmail translation

Revision 1.1  2006/04/16 18:41:18  sparky
- NEW, builds and works
